Ruby 2.7: Remove deprecated URI.escape/unescape

2020-01-04 05:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Ruby 2.7 shows a warning if URI.escape or URI.unescape is called. We should remove those methods.

https://bugs.ruby-lang.org/issues/15961

https://github.com/ruby/ruby/commit/869e2dd8c8efc1e7a043c9eee82d97c47befbcc7

$ egrep -nr 'URI\.(un)?(escape|encode)' app lib test

lib/redmine/scm/adapters/subversion_adapter.rb:111:                entries << Entry.new({:name => 

URI.unescape(name),

lib/redmine/scm/adapters/subversion_adapter.rb:292:          uri = URI.escape(URI.escape(uri), '[]

')

lib/redmine/field_format.rb:272:        url.gsub!('%value%') {URI.encode value.to_s}

lib/redmine/field_format.rb:273:        url.gsub!('%id%') {URI.encode customized.id.to_s}

lib/redmine/field_format.rb:275:          URI.encode(

lib/redmine/field_format.rb:280:          URI.encode(

lib/redmine/field_format.rb:288:              URI.encode matches[m].to_s

test/functional/wiki_controller_test.rb:1150:      filename = URI.encode("#{title}.#{format}")

Related issues:

Related to Redmine - Feature #31500: Ruby 2.7 support Closed

Related to Redmine - Defect #37718: Repository browser does not show "+" (plu... Closed

Related to Redmine - Defect #38464: Rendering a custom field with a URL patte... Closed

Associated revisions

Revision 19455 - 2020-01-24 00:28 - Go MAEDA

Ruby 2.7: Remove deprecated URI.escape/unescape (#32752).

Patch by Go MAEDA.

History

#1 - 2020-01-04 05:09 - Go MAEDA

- Related to Feature #31500: Ruby 2.7 support added

#2 - 2020-01-11 08:45 - Go MAEDA

- File 32752-remove-uri-escape.patch added

Here is a patch to remove URI.escape and URI.unescape.

The patch adds Addressable gem to Gemfile, but actually it does not mean that the patch adds a new gem dependency because Addressable gem is

required by Roadie and is already in Gemfile.lock.

#3 - 2020-01-24 00:29 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed as a part of #31500.
#4 - 2022-09-28 05:02 - Go MAEDA

- Related to Defect #37718: Repository browser does not show "+" (plus sign) in filename added

#5 - 2023-04-19 08:19 - Go MAEDA

- Related to Defect #38464: Rendering a custom field with a URL pattern set and containing " :" in the value raises Addressable::URI::InvalidURIError

added

Files

32752-remove-uri-escape.patch 4.04 KB 2020-01-11 Go MAEDA
